aboutsummaryrefslogtreecommitdiffstats
path: root/main/linux-grsec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-11-25 19:52:46 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-11-25 19:52:46 +0000
commit36a11f041faf16a20b92cdb0ad23ed723d19c3cd (patch)
treeb1dbf8c83df659b24e726aa763d8d0bfab4cf8b1 /main/linux-grsec/APKBUILD
parentea8b448c143b32ce7ce0e3e1aebcf2ac3746921f (diff)
downloadaports-36a11f041faf16a20b92cdb0ad23ed723d19c3cd.tar.gz
aports-36a11f041faf16a20b92cdb0ad23ed723d19c3cd.tar.bz2
aports-36a11f041faf16a20b92cdb0ad23ed723d19c3cd.tar.xz
main/linux-grsec: fail early if config is missing
no changes in binaries
Diffstat (limited to 'main/linux-grsec/APKBUILD')
-rw-r--r--main/linux-grsec/APKBUILD2
1 files changed, 1 insertions, 1 deletions
diff --git a/main/linux-grsec/APKBUILD b/main/linux-grsec/APKBUILD
index c681a8bed4..629cb9ff97 100644
--- a/main/linux-grsec/APKBUILD
+++ b/main/linux-grsec/APKBUILD
@@ -55,7 +55,7 @@ prepare() {
fi
mkdir -p "$srcdir"/build
- cp "$srcdir"/$_config "$srcdir"/build/.config
+ cp "$srcdir"/$_config "$srcdir"/build/.config || return 1
make -C "$srcdir"/linux-$_kernver O="$srcdir"/build HOSTCC="${CC:-gcc}" \
silentoldconfig
}